
#define _GNU_SOURCE
//#define _SVID_SOURCE
/* print files in current directory in reverse order */
#include <dirent.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>


int filter(const struct dirent *d)
{
	
	
	int res = strncmp(d->d_name+(strlen(d->d_name) - 4), ".vol", 4); 
	//printf("%s: %d\n", d->d_name, res);

	
	return res==0?1:0;
}


int main(void)
{
	struct dirent **namelist;
	int n;
	
	n = scandir(".", &namelist, &filter, alphasort);
	if (n < 0)
		perror("scandir");
	else {
		while (n--) {
			printf("%s\n", namelist[n]->d_name);
			free(namelist[n]);
		}
		free(namelist);
	}
}

